uudoc(1)

NAME
uudoc - Encode/decode data and print to standard output With no FILE, or when FILE is -, read standard input. When decoding, the input may contain newlines in addition to the bytes of the formal alphabet. Use --ignore-garbage to attempt to recover from any other non-alphabet bytes in the encoded stream.

SYNOPSIS
uudoc [-d|--decode] [-i|--ignore-garbage] [-w|--wrap] [--base64] [--base64url] [--base32] [--base32hex] [--base16] [--base2lsbf] [--base2msbf] [--z85] [--base58] [-h|--help] [-V|--version] [file]

DESCRIPTION
Encode/decode data and print to standard output With no FILE, or when FILE is -, read standard input.

When decoding, the input may contain newlines in addition to the bytes of the formal alphabet. Use --ignore-garbage to attempt to recover from any other non-alphabet bytes in the encoded stream.

OPTIONS

-d, --decode
    decode data

-i, --ignore-garbage
    when decoding, ignore non-alphabetic characters

-w, --wrap <COLS>
    wrap encoded lines after COLS character (default 76, 0 to disable wrapping)

--base64
    same as 'base64' program

--base64url
    file- and url-safe base64

--base32
    same as 'base32' program

--base32hex
    extended hex alphabet base32

--base16
    hex encoding

--base2lsbf
    bit string with least significant bit (lsb) first

--base2msbf
    bit string with most significant bit (msb) first

--z85
    ascii85-like encoding; when encoding, input length must be a multiple of 4; when decoding, input length must be a multiple of 5

--base58
    visually unambiguous base58 encoding

-h, --help
    Print help

-V, --version
    Print version

[file]

EXTRA
Examples Encode a file with base64 encoding: basenc --base64 {{path/to/file}} Decode a file with base64 encoding: basenc {{[-d|--decode]}} --base64 {{path/to/file}} Encode from `stdin` with base32 encoding with 42 columns: {{command}} | basenc --base32 {{[-w|--wrap]}} 42 Encode from `stdin` with base32 encoding: {{command}} | basenc --base32 > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0